J0(3) | NetBSD Library Functions Manual | J0(3)

# NAME

j0, j0f, j1, j1f, jn, jnf, y0, y0f, y1, y1f, yn, ynf — Bessel functions of first and second kind

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
j0(double x);

float
j0f(float x);

double
j1(double x);

float
j1f(float x);

double
jn(int n, double x);

float
jnf(int n, float x);

double
y0(double x);

float
y0f(float x);

double
y1(double x);

float
y1f(float x);

double
yn(int n, double x);

float
ynf(int n, float x);

# DESCRIPTION

The functions j0(), j0f(), j1() and j1f() compute the Bessel function of the first kind of the order 0 and the order 1, respectively, for the real value x; the functions jn() and jnf() compute the Bessel function of the first kind of the integer order n for the real value x.

The functions y0(), y0f(), y1() and y1f() compute the linearly independent Bessel function of the second kind of the order 0 and the order 1, respectively, for the positive integer value x (expressed as a double); the functions yn() and ynf() compute the Bessel function of the second kind for the integer order n for the positive integer value x (expressed as a double).

# RETURN VALUES

If these functions are successful, the computed value is returned, otherwise the global variable errno is set to EDOM and a reserve operand fault is generated.

# SEE ALSO

math(3)

# HISTORY

This set of functions appeared in Version 7 AT&T UNIX.

April 19, 1991 | NetBSD 5.99